%define qtdir /usr/lib/qt-1.44
%define kdeprefix /usr
%define version 0.5.0
%define kderelease 2

%define kdename  kcmbind
Name: %{kdename}
Summary: A KDE based GUI for managing your network's DNS configuration.
Version: %{version}
Release: %{kderelease}
Serial: 1
Source: ftp://www.100webstreet.com/pub/kde/kcmbind/%{kdename}-%{version}.tgz
License: GPL
URL: http://www.100webstreet.com/kcmbind/
Group: Applications/System
Buildroot: /var/tmp/%{kdename}-buildroot
Requires: kdesupport
Prefix: %{kdeprefix}

%description
KcmBind is a GUI front-end for configuring bind, developed for the K
Desktop Environment (KDE).  KcmBind provides an interface that is
light years ahead of directly editing the bind configuration files and
makes DNS administration a possibility for mere mortals.  You'll need
to have X and KDE installed to use KcmBind.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{kdename}

%build
export QTDIR=%{qtdir} KDEDIR=%{prefix}
autoconf
./configure \
	--prefix=%{kdeprefix} \
	--exec_prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT \
	--with-extra-includes=/usr/include/kde

make CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG -I/usr/include/kde"

%install
make install-strip prefix=$RPM_BUILD_ROOT%{kdeprefix} \
	exec_prefix=$RPM_BUILD_ROOT%{kdeprefix}

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        -e '/\/config\//s|^|%config|' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%files -f ../file.list.%{kdename}

%changelog
* Fri Sep 17 1999 Preston Brown <pbrown@redhat.com>
- rebuild w/new Qt paths for Powertools 6.1

* Thu Apr 22 1999 Preston Brown <pbrown@redhat.com>
- initial RPM for PowerTools 6.0






